23 lines
851 B
Diff
23 lines
851 B
Diff
From 0d4bb7ce8928b67a2e835931bc85f317feabd32e Mon Sep 17 00:00:00 2001
|
|
From: Harald Hoyer <harald@redhat.com>
|
|
Date: Fri, 24 Jan 2014 15:26:43 +0100
|
|
Subject: [PATCH] dracut.sh: create early cpio dir for acpi tables
|
|
|
|
---
|
|
dracut.sh | 2 +-
|
|
1 file changed, 1 insertion(+), 1 deletion(-)
|
|
|
|
diff --git a/dracut.sh b/dracut.sh
|
|
index ad57218d..55862751 100755
|
|
--- a/dracut.sh
|
|
+++ b/dracut.sh
|
|
@@ -719,7 +719,7 @@ readonly initdir="$(mktemp --tmpdir="$TMPDIR/" -d -t initramfs.XXXXXX)"
|
|
exit 1
|
|
}
|
|
|
|
-if [[ $early_microcode = yes ]]; then
|
|
+if [[ $early_microcode = yes ]] || ( [[ $acpi_override = yes ]] && [[ -d $acpi_table_dir ]] ); then
|
|
readonly early_cpio_dir="$(mktemp --tmpdir="$TMPDIR/" -d -t early_cpio.XXXXXX)"
|
|
[ -d "$early_cpio_dir" ] || {
|
|
printf "%s\n" "dracut: mktemp --tmpdir=\"$TMPDIR/\" -d -t early_cpio.XXXXXX failed." >&2
|